// subPackage/page/pages/myValueCardInfo/myValueCardInfo.js
const wxService = require('../../../../utils/wxService')
const utils = require('../../../../utils/util')
var wxbarcode = require('../../../../codeUtils/index.js');
wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    no: '1212345645645782',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu();

    this.generatorBarCode();
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  //生成条形码
  generatorBarCode() {
    if (this.data.no) {
      wxbarcode.barcode('barcode', this.data.no, 570, 100);
      setTimeout(() => {
        wxbarcode.barcode('barcode', this.data.no, 570, 100);
      }, 200);
    }
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },
})